Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aglets.log
Class LogInitializer

    java.lang.Object
      |
      +--org.aglets.log.LogInitializer

Direct Known Subclasses:
  ConsoleInitializer, Log4jInitializer, QuietInitializer

public abstract class LogInitializer
extends java.lang.Object

Abstract class for logging system initializers. Used to obtain the proper LogCategory implementation. Implementers of this class will also intialize the logging system backend statically. An Aglets server should load the desired logging implementation dynamically in the first few lines of it's main routine.

Version:
  1.0
Author:
  Robert Bergstrom

Field Summary
`protected static LogInitializer` | `m_instance` Singleton.

Constructor Summary
`LogInitializer()`

Method Summary
`static LogCategory` | `getCategory(java.lang.String categoryName)` Create a category in the logging hierachry.
`protected LogCategory` | `getCategoryImpl(java.lang.String name)` Gets the CategoryImpl attribute of the LogInitializer object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_instance

    protected static LogInitializer m_instance

  Singleton. Subclasses initialize to proper class.
  Since:

Constructor Detail

### LogInitializer

    public LogInitializer()

Method Detail

### getCategoryImpl

    protected LogCategory getCategoryImpl(java.lang.String name)

  Gets the CategoryImpl attribute of the LogInitializer object
  Parameters:
    `name` - Description of Parameter
  Returns:
    The CategoryImpl value
  Since:

### getCategory

    public static LogCategory getCategory(java.lang.String categoryName)

  Create a category in the logging hierachry.
  Parameters:
    `categoryName` - Description of Parameter
  Returns:
    The LogCategory implementation.
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD